Attribute VB_Name = "Notes2OneNote"
Sub Notes2OneNote()

'==============================================================
' Description: Outlook macro to export Outlook Notes
'              to OneNote.
'
' author : Robert Sparnaaij
' version: 1.0
' website: http://www.howto-outlook.com/howto/notes2onenote.htm
'==============================================================

  Dim AddModificationDate As Boolean
  Dim AddCategoryList As Boolean

'====================READ AND EDIT IF NEEDED===================
' To append the "Last Modification Date" or the list of
' Categories (if assigned) to the note item, set the
' corresponding option below to "True" (without the quotes).

  AddModificationDate = True
  AddCategoryList = True

'=========================STOP EDITING=========================
    
  Dim objOL As Outlook.Application
  Dim objSelection As Outlook.Selection
  Dim objItem As Object
  Set objOL = Outlook.Application
  Set objSelection = objOL.ActiveExplorer.Selection
      
  If objSelection.Count > 0 Then
          
    Dim objNote As Outlook.NoteItem
    Dim objMsg As Outlook.MailItem
    Dim objRecip As Outlook.Recipient
          
    For Each objItem In objSelection
      If objItem.Class = Outlook.olNote Then
        Set objNote = objItem
        Set objMsg = objOL.CreateItem(olMailItem)
                      
        With objMsg
          Set objRecip = .Recipients.Add("me@onenote.com")
          objRecip.Type = Outlook.olTo
                          
          .Subject = objNote.Subject
          .Body = objNote.Body
                          
          'Adding a white line when an option is set.
          If AddModificationDate = True Or (AddCategoryList = True And _
                                    objNote.Categories <> "") Then
            .Body = .Body & vbNewLine
          End If
                          
          If AddModificationDate = True Then
            .Body = .Body & vbNewLine & "Last Modified: " & _
                      objNote.LastModificationTime
          End If
                          
          If AddCategoryList = True And objNote.Categories <> "" Then
            .Body = .Body & vbNewLine & "Categories: " & objNote.Categories
          End If
                          
          .Save
          .Send
        End With
                                          
      Else
        Result = MsgBox("Error while processing:" & vbNewLine & _
                  "Make sure your selection only includes Note items.", _
                  vbCritical, "Note2OneNote")
        Exit Sub
      End If
    Next
  
  'Oops, nothing is selected
  Else
    Result = MsgBox("No item selected. Please make a selection first.", _
              vbCritical, "Notes2OneNote")
    Exit Sub
  End If
  
  'Cleanup
  Set objOL = Nothing
  Set objSelection = Nothing
  Set objNote = Nothing
  Set objMsg = Nothing
  Set objRecip = Nothing
  
End Sub


